低危 BIND up to 9.9.2 Record Query 拒绝服务漏洞

CVE编号

CVE-2012-5689

利用情况

暂无

补丁情况

官方补丁

披露时间

2013-01-26
漏洞描述
ISC BIND是一款DNS协议的实现。当名字服务器配置为使用DNS64执行AAAA记录查询,并且Response Policy Zone中配置了A记录重写规则。如果RPZ无法提供AAAA记录的名称,但提供了重写A记录规则,那么DNS64处理代码会尝试重映射A记录到AAAA记录,由于存在一个代码错误,RPZ数据和DNS64重映射之间的交互可导致域名进程由于断言错误而终止。
解决建议
目前厂商还没有提供此漏洞的相关补丁或者升级程序,建议使用此软件的用户随时关注厂商的主页以获取最新版本:http://www.isc.org/products/BIND/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 isc bind 9.8.0 -
运行在以下环境
应用 isc bind 9.8.1 -
运行在以下环境
应用 isc bind 9.8.2 -
运行在以下环境
应用 isc bind 9.8.3 -
运行在以下环境
应用 isc bind 9.8.4 -
运行在以下环境
应用 isc bind 9.9.0 -
运行在以下环境
应用 isc bind 9.9.1 -
运行在以下环境
应用 isc bind 9.9.2 -
运行在以下环境
系统 amazon_AMI bind * Up to
(excluding)
9.8.2-0.17.rc1.27.amzn1
运行在以下环境
系统 centos_6 bind * Up to
(excluding)
9.8.2-0.17.rc1.el6.3
运行在以下环境
系统 oracle_6 bind * Up to
(excluding)
9.8.2-0.17.rc1.0.2.el6.3
阿里云评分
3.6
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    传输被破坏
  • 服务器危害
    DoS
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-20 输入验证不恰当
阿里云安全产品覆盖情况